package com.prolog.eis.service.carry;

import com.prolog.eis.dto.wcs.StackerTaskDto;
import com.prolog.eis.enums.base.LayerEnum;
import com.prolog.eis.model.container.LocationCfg;
import com.prolog.eis.router.vo.ContainerLocationVo;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/8/28 18:17
 */
public interface StackerService {

    void sendStackerTask(String containerNo, LayerEnum layerEnum, String wmsLocationCode)throws Exception;

    void startCarryTask(String containerNo, ContainerLocationVo containerLocationVo, LocationCfg stackerLocation) throws Exception;

    void sendStore(StackerTaskDto taskDto) throws Exception;

    void sendEmptyToStacker() throws Exception;

    void sendStaionEmptyToStacker();
}
